org.appng.core.repository

## Interface PermissionRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<PermissionImpl,Integer>, org.springframework.data.jpa.repository.JpaRepository<PermissionImpl,Integer>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<PermissionImpl>, org.springframework.data.repository.PagingAndSortingRepository<PermissionImpl,Integer>, org.springframework.data.repository.query.QueryByExampleExecutor<PermissionImpl>, org.springframework.data.repository.Repository<PermissionImpl,Integer>, SearchRepository<PermissionImpl,Integer>

      public interface PermissionRepository
      extends SearchRepository<PermissionImpl,Integer>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<PermissionImpl>` | `findByApplicationId(Integer applicationId, org.springframework.data.domain.Sort sort)`
    `PermissionImpl` | `findByApplicationNameAndName(String application, String name)`
    `PermissionImpl` | `findByNameAndApplicationId(String name, Integer applicationId)`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Method Detail

    - #### findByNameAndApplicationId

          PermissionImpl findByNameAndApplicationId(String name,
                                                    Integer applicationId)

    - #### findByApplicationId

          List<PermissionImpl> findByApplicationId(Integer applicationId,
                                                   org.springframework.data.domain.Sort sort)

    - #### findByApplicationNameAndName

          PermissionImpl findByApplicationNameAndName(String application,
                                                      String name)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.